{*nastHlavExport*}
<script>
    function initMenuExportHlav() {
        const menuPolozkyInput = document.querySelectorAll('[ajax-input-hlav]');

        menuPolozkyInput.forEach(function (polozkaInput){
            polozkaInput.addEventListener('change',(even) => {
                const id = polozkaInput.getAttribute('data-id');
                const column = polozkaInput.getAttribute('data-name');
                const value = polozkaInput.value;
                const data = [];

                data['id'] = id;
                data['column'] = column;
                data['value'] = value;

                if (value !== '') {
                    naja.makeRequest('GET', {link saveData!}, { {$control->getParameterId('data')}: data })
                    .then((payload) => {  });
                }else{
                    alert('Musíte vyplnit hodnotu!');
                    polozkaInput.focus();
                }
            });
        });
    }
</script>
{snippet list}
    <div class="container-fluid">
        <div class="row">
            <div class="col-12 col-md-6 mb-3 mb-md-0">
                {*vzhled hlavičky*}
                <div class="card mb-3">
                    <div class="card-header bg-menu-warning">
                        <h5 class="mb-0">Vzhled hlavičky</h5>
                    </div>
                    <div class="card-body">
                        <div class="container-fluid">
                            <div class="row">
                                <div class="col-12 mb-3 mb-md-0">
                                    <div class="mb-3">
                                        <label class="form-label">horní okraj</label>
                                        <div class="input-group">
                                            <input type="number" min="0" class="form-control" ajax-input-hlav data-name="margin_header" data-id="{$data->id}" value="{$data->margin_header}" placeholder="horní okraj">
                                            <span class="input-group-text">mm</span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            {*nastavení barev*}
                            <div class="mb-3">
                                <form n:name="barvaTextForm" class="ajax">
                                    <label class="form-label">barva textu</label>
                                    <div class="input-group mb-3">
                                        <input type="text" n:name="barva" class="form-control color-picker" value="{$data->color}">
                                        <button n:name="send" class="btn btn-success"><i class="fas fa-save me-2"></i>Změnit</button>
                                    </div>
                                    <input n:name="id" value="{$data->id}">
                                </form>
                            </div>
                            <div class="mb-0">
                                <form n:name="barvaPozadiForm" class="ajax">
                                    <label class="form-label">barva pozadí</label>
                                    <div class="input-group mb-3">
                                        <input type="text" n:name="barva" class="form-control color-picker" value="{$data->bg_color}">
                                        <button n:name="send" class="btn btn-success"><i class="fas fa-save me-2"></i>Změnit</button>
                                    </div>
                                    <input n:name="id" value="{$data->id}">
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            {*nadpis*}
            <div class="col-12 col-md-6 mb-3 mb-md-0">
                <div class="card mb-3">
                    <div class="card-header bg-menu-warning">
                        <h5 class="mb-0">Nastavení nadpisu</h5>
                    </div>
                    <div class="card-body">
                        {*odsazeni nadpisu*}
                        <div class="container-fluid">
                            <div class="row">
                                <div class="col-12 col-md-6">
                                    <div class="mb-3">
                                        <label class="form-label">levý okraj</label>
                                        <div class="input-group">
                                            <input type="number" min="0" class="form-control" ajax-input-hlav data-name="margin_title_left" data-id="{$data->id}" value="{$data->margin_title_left}" placeholder="levý okraj">
                                            <span class="input-group-text">mm</span>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-12 col-md-6">
                                    <div class="mb-3">
                                        <label class="form-label">pravý okraj</label>
                                        <div class="input-group">
                                            <input type="number" min="0" class="form-control" ajax-input-hlav data-name="margin_title_right" data-id="{$data->id}" value="{$data->margin_title_right}" placeholder="pravý okraj">
                                            <span class="input-group-text">mm</span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-12 col-md-6">
                                    <div class="mb-3">
                                        <label class="form-label">horní okraj</label>
                                        <div class="input-group">
                                            <input type="number" min="0" class="form-control" ajax-input-hlav data-name="margin_title_top" data-id="{$data->id}" value="{$data->margin_title_top}" placeholder="horní okraj">
                                            <span class="input-group-text">mm</span>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-12 col-md-6">
                                    <div class="mb-3">
                                        <label class="form-label">dolní okraj</label>
                                        <div class="input-group">
                                            <input type="number" min="0" class="form-control" ajax-input-hlav data-name="margin_title_bottom" data-id="{$data->id}" value="{$data->margin_title_bottom}" placeholder="dolní okraj">
                                            <span class="input-group-text">mm</span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            {*velikost pisma nadpisu*}
                            <div class="row">
                                <div class="col-12 col-md-6">
                                    <div class="mb-0">
                                        <label class="form-label">velikost písma</label>
                                        <div class="input-group">
                                            <input type="number" min="0" class="form-control" ajax-input-hlav data-name="title_size" data-id="{$data->id}" value="{$data->title_size}" placeholder="velikost písma">
                                            <span class="input-group-text">mm</span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            {*logo*}
            <div class="col-12 col-md-6 mb-3 mb-md-0">
                <div class="card mb-3">
                    <div class="card-header bg-menu-warning">
                        <h5 class="mb-0">Logo</h5>
                    </div>
                    <div class="card-body">
                        {*soubor loga*}
                        <form n:name="pridatLogoForm" class="ajax">
                            <div class="mb-3">
                                <label class="form-label">Nové logo</label>
                                <div class="input-group">
                                    <span class="input-group-text"><i class="fas fa-image"></i></span>
                                    <input n:name="logo" class="form-control menu-logo-input">
                                </div>
                            </div>
                            <div class="mb-3">
                                <button n:name="send" class="btn btn-success"><i class="fas fa-save me-2"></i>Nahrát</button>
                            </div>
                        </form>
                        <div class="row">
                            {if $data->logo}
                                <div class="col-12 col-md-6">
                                    <h6>Nahrané logo</h6>
                                    <div class="p-2">
                                        <div class="produkt-image-box">
                                            <div class="produkt-image-delete">
                                                <a n:href="deleteLogo! $data->id" class="ajax">
                                                    <i class="fas fa-trash"></i>
                                                </a>
                                            </div>
                                            <img src="{$basePath}/src/restaurace/menu/{$data->rest_menu_id}/{$data->logo}">
                                        </div>
                                    </div>
                                </div>
                            {/if}
                            <div class="col-12 col-md-6 menu-logo-preview"></div>
                            {if $data->logo}
                                <div class="col-12 col-md-6">
                                    <label class="form-label">max velikost loga</label>
                                    <div class="mb-3">
                                        <div class="input-group">
                                            <input type="number" min="0" class="form-control" ajax-input-hlav data-name="max_logo_size" data-id="{$data->id}" value="{$data->max_logo_size}" placeholder="velikost loga">
                                            <span class="input-group-text">mm</span>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-12 col-md-6">
                                    <div class="mb-3">
                                        <label class="form-label">pozice loga</label>
                                        <select type="text" class="form-select" ajax-input-hlav data-name="logo_align" data-id="{$data->id}">
                                            <option value="left" {if $data->logo_align == 'left'}selected{/if}>Vlevo</option>
                                            <option value="right" {if $data->logo_align == 'right'}selected{/if}>Vpravo</option>
                                        </select>
                                    </div>
                                </div>
                            {/if}
                        </div>
                    </div>
                    {*odsazeni loga*}
                    <div class="container-fluid">
                        <div class="row">
                            <div class="col-12 col-md-6">
                                <div class="mb-3">
                                    <label class="form-label">levý okraj</label>
                                    <div class="input-group">
                                        <input type="number" min="0" class="form-control" ajax-input-hlav data-name="margin_logo_left" data-id="{$data->id}" value="{$data->margin_logo_left}" placeholder="levý okraj">
                                        <span class="input-group-text">mm</span>
                                    </div>
                                </div>
                            </div>
                            <div class="col-12 col-md-6">
                                <div class="mb-3">
                                    <label class="form-label">pravý okraj</label>
                                    <div class="input-group">
                                        <input type="number" min="0" class="form-control" ajax-input-hlav data-name="margin_logo_right" data-id="{$data->id}" value="{$data->margin_logo_right}" placeholder="pravý okraj">
                                        <span class="input-group-text">mm</span>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-12 col-md-6">
                                <div class="mb-3">
                                    <label class="form-label">horní okraj</label>
                                    <div class="input-group">
                                        <input type="number" min="0" class="form-control" ajax-input-hlav data-name="margin_logo_top" data-id="{$data->id}" value="{$data->margin_logo_top}" placeholder="horní okraj">
                                        <span class="input-group-text">mm</span>
                                    </div>
                                </div>
                            </div>
                            <div class="col-12 col-md-6">
                                <div class="mb-3">
                                    <label class="form-label">dolní okraj</label>
                                    <div class="input-group">
                                        <input type="number" min="0" class="form-control" ajax-input-hlav data-name="margin_logo_bottom" data-id="{$data->id}" value="{$data->margin_logo_bottom}" placeholder="dolní okraj">
                                        <span class="input-group-text">mm</span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <script>
        initMenuExportHlav();
        initColorPicker();

        $(document).ready(function(){
            $('.menu-logo-input').change(function(){
                $(".menu-logo-preview").html('');
                for (var i = 0; i < $(this)[0].files.length; i++) {
                    $(".menu-logo-preview").append('<h6>Nové logo</h6><img src="'+window.URL.createObjectURL(this.files[i])+'" class="img-thumbnail"/>');
                }
            });
        });
    </script>
{/snippet}